GoJS® Diagramming Components
version 1.6.19 for JavaScript/HTML
by Northwoods Software®

## Class PathFigure

A PathFigure represents a section of a Geometry. It is a single connected series of two-dimensional geometric PathSegments.

The Geometry.figures property is a list of PathFigures.

A PathFigure must not be modified once its containing Geometry has been assigned to a Shape.

## Constructor Summary Details

Name | Description
--- | ---

PathFigure(sx, sy, filled, shadowed)

Constructs an empty figure.More... The optional arguments specify the starting point of the figure. You'll want to add a new instance of a PathFigure to the Geometry.figures list of a Geometry.

Parameters:
{number=} sx
  optional: the X coordinate of the start point (default is zero).
{number=} sy
  optional: the Y coordinate of the start point (default is zero).
{boolean=} filled
  optional: whether the figure is filled (default is true).
{boolean=} shadowed
  optional: whether the figure may be drawn with a shadow (default is true).

## Properties Summary Details

Name, Value Type | Description
--- | ---
isFilled {boolean} | Gets or sets whether this PathFigure is drawn filled.More... The default value is true.
isShadowed {boolean} | Gets or sets whether this PathFigure will render a shadow if one is defined.More... This is used for turning off shadows on specific subpaths. The default value is true.
segments {List.<PathSegment>} | Gets or sets the List of PathSegments that define this PathFigure.
startX {number} | Gets or sets the starting point X coordinate of the PathFigure.More... The default value is zero.
startY {number} | Gets or sets the starting point Y coordinate of the PathFigure.More... The default value is zero.

## Method Summary Details

Name, Return Type | Description
--- | ---

add(segment)
{PathFigure} 1.5

Add a PathSegment to the segments list.More...

Parameters:
{PathSegment} segment
  a newly allocated unshared PathSegment that will become owned by this PathFigure

Returns:
{PathFigure}

copy()
{PathFigure}

Create a copy of this PathFigure, with the same values and segments.

Returns:
{PathFigure}